HashedSession (Jetty :: Aggregate :: All core Jetty 7.6.8.v20121106 API)
Date: 2012-11-06

org.eclipse.jetty.server.session

## Class HashedSession

- java.lang.Object
- - org.eclipse.jetty.server.session.AbstractSession
  - - org.eclipse.jetty.server.session.HashedSession

- All Implemented Interfaces:
    javax.servlet.http.HttpSession, AbstractSessionManager.SessionIf

      public class HashedSession
      extends AbstractSession

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `HashedSession(HashSessionManager hashSessionManager, javax.servlet.http.HttpServletRequest request)`
    `protected` | `HashedSession(HashSessionManager hashSessionManager, long created, long accessed, String clusterId)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `checkValid()` asserts that the session is valid
    `void` | `deIdle()`
    `protected void` | `doInvalidate()`
    `void` | `idle()` Idle the session to reduce session memory footprint.
    `boolean` | `isIdled()`
    `boolean` | `isSaveFailed()`
    `void` | `save(OutputStream os)`
    `void` | `saveFailed()`
    `void` | `setMaxInactiveInterval(int secs)`

    - ### Methods inherited from class org.eclipse.jetty.server.session.AbstractSession

      `access, addAttributes, bindValue, clearAttributes, complete, cookieSet, didActivate, doGet, doPutOrRemove, getAccessed, getAttribute, getAttributeMap, getAttributeNames, getAttributes, getClusterId, getCookieSetTime, getCreationTime, getId, getLastAccessedTime, getMaxInactiveInterval, getNames, getNodeId, getRequests, getServletContext, getSession, getSessionContext, getValue, getValueNames, invalidate, isIdChanged, isNew, isValid, putValue, removeAttribute, removeValue, setAttribute, setIdChanged, setRequests, timeout, toString, unbindValue, willPassivate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HashedSession

          protected HashedSession(HashSessionManager hashSessionManager,
                       javax.servlet.http.HttpServletRequest request)

    - #### HashedSession

          protected HashedSession(HashSessionManager hashSessionManager,
                       long created,
                       long accessed,
                       String clusterId)

  - ### Method Detail

    - #### checkValid

          protected void checkValid()

      Description copied from class: `AbstractSession`
      asserts that the session is valid
      Overrides:
        `checkValid` in class `AbstractSession`

    - #### setMaxInactiveInterval

          public void setMaxInactiveInterval(int secs)

      Specified by:
        `setMaxInactiveInterval` in interface `javax.servlet.http.HttpSession`
      Overrides:
        `setMaxInactiveInterval` in class `AbstractSession`

    - #### doInvalidate

          protected void doInvalidate()
                               throws IllegalStateException

      Overrides:
        `doInvalidate` in class `AbstractSession`
      Throws:
        `IllegalStateException`

    - #### save

          public void save(OutputStream os)
                    throws IOException

      Throws:
        `IOException`

    - #### deIdle

          public void deIdle()

    - #### idle

          public void idle()

      Idle the session to reduce session memory footprint. The session is idled by persisting it, then clearing the session values attribute map and finally setting it to an idled state.

    - #### isIdled

          public boolean isIdled()

    - #### isSaveFailed

          public boolean isSaveFailed()

    - #### saveFailed

          public void saveFailed()

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.